package com.yonge.cooleshow.portal.dto;

import com.fasterxml.jackson.annotation.JsonIgnore;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * @Author: liweifan
 * @Data: 2022/4/1 15:35
 */
@ApiModel(value = "OrderPayRes", description = "订单支付请求返回对象")
public class OrderPayRes {
    @ApiModelProperty("支付金额")
    private String pay_amt;
    @ApiModelProperty("pay_info")
    private String pay_info;

    @ApiModelProperty(value = "执行状态",required = true)
    @JsonIgnore
    private boolean status = true;

    @ApiModelProperty(value = "出错信息",required = true)
    @JsonIgnore
    private String message;

    @ApiModelProperty("支付单号")
    private String paymentNo;


    @ApiModelProperty(value = "订单编号",required = true)
    @JsonIgnore
    private String orderNo;

    @ApiModelProperty("支付渠道:  alipay 支付宝  wx_lite 微信")
    private String payChannel;

    @ApiModelProperty(value = "交易流水号",required = true)
    @JsonIgnore
    private String transNo;

    public String getPay_amt() {
        return pay_amt;
    }

    public void setPay_amt(String pay_amt) {
        this.pay_amt = pay_amt;
    }

    public String getPay_info() {
        return pay_info;
    }

    public void setPay_info(String pay_info) {
        this.pay_info = pay_info;
    }

    public boolean isStatus() {
        return status;
    }

    public void setStatus(boolean status) {
        this.status = status;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }

    public String getOrderNo() {
        return orderNo;
    }

    public void setOrderNo(String orderNo) {
        this.orderNo = orderNo;
    }

    public String getPayChannel() {
        return payChannel;
    }

    public void setPayChannel(String payChannel) {
        this.payChannel = payChannel;
    }

    public String getTransNo() {
        return transNo;
    }

    public void setTransNo(String transNo) {
        this.transNo = transNo;
    }

    public String getPaymentNo() {
        return paymentNo;
    }

    public void setPaymentNo(String paymentNo) {
        this.paymentNo = paymentNo;
    }
}
